Bug 57261 - expand md limit beyond 12 drives
Summary: expand md limit beyond 12 drives
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-07 23:38 UTC by Jim Wright
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-19 16:49:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Wright 2001-12-07 23:38:54 UTC
Description of problem:
the current implementation of the multiple devices subsystem
limits md devices to 12 drives, including spares.  the man page
for raidtab indicates that a patch to extend this to 256 drives
exists.  please consider applying this patch to future kernels.

Comment 1 Arjan van de Ven 2001-12-13 08:53:27 UTC
"12" is a bogus limit indeed; the real limit is 27 and we're evaluating if a fix
for that is enough to warrant a raidtools erratum. Above 27 is not possible
without changing the on-disk format and as a result is rather more invasive....

Comment 2 Jim Wright 2001-12-13 20:48:29 UTC
27 would be helpful for us, especially if it is easy to do.

Sounds like going past 27 is something for 8.0.

Comment 3 Jim Wright 2002-10-26 05:31:00 UTC
I haven't tried lately, but is this better in recent kernels?

Comment 4 Arjan van de Ven 2002-10-31 17:38:04 UTC
current limit still is 27 ;(
there is a on-disk layout change required for going above that, and THAT needs
upstream buy-in and such

Comment 5 Jim Wright 2002-10-31 21:08:39 UTC
sorry for not being clear.  I haven't tested lately if the limit of 12 has been
removed so the 27 limit can be reached.  I agree that exceeding the 27 limit is
an upstream issue and not an easy question.

Comment 6 Bill Nottingham 2003-02-19 16:49:28 UTC
> 12 should work in current kernels.


Note You need to log in before you can comment on or make changes to this bug.